Forgot password?

Create an account!

Forum

« back

RhinoScript – how to print results?

Messages

Please log in to write a message.

  • 2. Hanno (Sep 13, 2011 13.42):

    Hi,

    if you have a look at the RhinoScript help, you will see that SurfaceSurfaceIntersection does not simply return the intersection curves. Either set the blnCreate parameter to true or (if you only need the resulting curve objects anyway) use IntersectBreps instead.

    Hanno

  • 1. ajimenez (Sep 13, 2011 13.02):

    Hi,
    We have made a code to get the intersection curves of a group of surfaces (cutting planes) with an object (hull), the problem is that the curves are not printed at the end of the code, we would like to know what is wrong at this point.
    Thanks.

    a = Rhino.GetObjects ("select objects")

    b = Rhino.GetObject("Select surface")
     
      If IsArray(a) Then
            For i = 0 To UBound(a)
             
               result = Rhino.SurfaceSurfaceIntersection(a(i), b)
           Rhino.AddCurve result
            Next
    End If
Recommend

Why are these buttons gray?